| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
AnnotationParameterValue Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the union AnnotationParameterValue defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | AnnotationParameterValue ()
| Default constructor.
eProsima_user_DllExport | ~AnnotationParameterValue ()
| Default destructor.
eProsima_user_DllExport | AnnotationParameterValue (const AnnotationParameterValue &x)
| Copy constructor.
eProsima_user_DllExport | AnnotationParameterValue (AnnotationParameterValue &&x) noexcept
| Move constructor.
eProsima_user_DllExport AnnotationParameterValue & | operator= (const AnnotationParameterValue &x)
| Copy assignment.
eProsima_user_DllExport AnnotationParameterValue & | operator= (AnnotationParameterValue &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const AnnotationParameterValue &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const AnnotationParameterValue &x) const
| Comparison operator.
eProsima_user_DllExport void | _d (uint8_t __d)
| This function sets the discriminator value.
eProsima_user_DllExport uint8_t | _d () const
| This function returns the value of the discriminator.
eProsima_user_DllExport void | boolean_value (bool _boolean_value)
| This function sets a value in member boolean_value.
eProsima_user_DllExport bool | boolean_value () const
| This function returns the value of member boolean_value.
eProsima_user_DllExport bool & | boolean_value ()
| This function returns a reference to member boolean_value.
eProsima_user_DllExport void | byte_value (uint8_t _byte_value)
| This function sets a value in member byte_value.
eProsima_user_DllExport uint8_t | byte_value () const
| This function returns the value of member byte_value.
eProsima_user_DllExport uint8_t & | byte_value ()
| This function returns a reference to member byte_value.
eProsima_user_DllExport void | int8_value (int8_t _int8_value)
| This function sets a value in member int8_value.
eProsima_user_DllExport int8_t | int8_value () const
| This function returns the value of member int8_value.
eProsima_user_DllExport int8_t & | int8_value ()
| This function returns a reference to member int8_value.
eProsima_user_DllExport void | uint8_value (uint8_t _uint8_value)
| This function sets a value in member uint8_value.
eProsima_user_DllExport uint8_t | uint8_value () const
| This function returns the value of member uint8_value.
eProsima_user_DllExport uint8_t & | uint8_value ()
| This function returns a reference to member uint8_value.
eProsima_user_DllExport void | int16_value (int16_t _int16_value)
| This function sets a value in member int16_value.
eProsima_user_DllExport int16_t | int16_value () const
| This function returns the value of member int16_value.
eProsima_user_DllExport int16_t & | int16_value ()
| This function returns a reference to member int16_value.
eProsima_user_DllExport void | uint_16_value (uint16_t _uint_16_value)
| This function sets a value in member uint_16_value.
eProsima_user_DllExport uint16_t | uint_16_value () const
| This function returns the value of member uint_16_value.
eProsima_user_DllExport uint16_t & | uint_16_value ()
| This function returns a reference to member uint_16_value.
eProsima_user_DllExport void | int32_value (int32_t _int32_value)
| This function sets a value in member int32_value.
eProsima_user_DllExport int32_t | int32_value () const
| This function returns the value of member int32_value.
eProsima_user_DllExport int32_t & | int32_value ()
| This function returns a reference to member int32_value.
eProsima_user_DllExport void | uint32_value (uint32_t _uint32_value)
| This function sets a value in member uint32_value.
eProsima_user_DllExport uint32_t | uint32_value () const
| This function returns the value of member uint32_value.
eProsima_user_DllExport uint32_t & | uint32_value ()
| This function returns a reference to member uint32_value.
eProsima_user_DllExport void | int64_value (int64_t _int64_value)
| This function sets a value in member int64_value.
eProsima_user_DllExport int64_t | int64_value () const
| This function returns the value of member int64_value.
eProsima_user_DllExport int64_t & | int64_value ()
| This function returns a reference to member int64_value.
eProsima_user_DllExport void | uint64_value (uint64_t _uint64_value)
| This function sets a value in member uint64_value.
eProsima_user_DllExport uint64_t | uint64_value () const
| This function returns the value of member uint64_value.
eProsima_user_DllExport uint64_t & | uint64_value ()
| This function returns a reference to member uint64_value.
eProsima_user_DllExport void | float32_value (float _float32_value)
| This function sets a value in member float32_value.
eProsima_user_DllExport float | float32_value () const
| This function returns the value of member float32_value.
eProsima_user_DllExport float & | float32_value ()
| This function returns a reference to member float32_value.
eProsima_user_DllExport void | float64_value (double _float64_value)
| This function sets a value in member float64_value.
eProsima_user_DllExport double | float64_value () const
| This function returns the value of member float64_value.
eProsima_user_DllExport double & | float64_value ()
| This function returns a reference to member float64_value.
eProsima_user_DllExport void | float128_value (long double _float128_value)
| This function sets a value in member float128_value.
eProsima_user_DllExport long double | float128_value () const
| This function returns the value of member float128_value.
eProsima_user_DllExport long double & | float128_value ()
| This function returns a reference to member float128_value.
eProsima_user_DllExport void | char_value (char _char_value)
| This function sets a value in member char_value.
eProsima_user_DllExport char | char_value () const
| This function returns the value of member char_value.
eProsima_user_DllExport char & | char_value ()
| This function returns a reference to member char_value.
eProsima_user_DllExport void | wchar_value (wchar_t _wchar_value)
| This function sets a value in member wchar_value.
eProsima_user_DllExport wchar_t | wchar_value () const
| This function returns the value of member wchar_value.
eProsima_user_DllExport wchar_t & | wchar_value ()
| This function returns a reference to member wchar_value.
eProsima_user_DllExport void | enumerated_value (int32_t _enumerated_value)
| This function sets a value in member enumerated_value.
eProsima_user_DllExport int32_t | enumerated_value () const
| This function returns the value of member enumerated_value.
eProsima_user_DllExport int32_t & | enumerated_value ()
| This function returns a reference to member enumerated_value.
eProsima_user_DllExport void | string8_value (const eprosima::fastcdr::fixed_string< ANNOTATION_STR_VALUE_MAX_LEN > &_string8_value)
| This function copies the value in member string8_value.
eProsima_user_DllExport void | string8_value (eprosima::fastcdr::fixed_string< ANNOTATION_STR_VALUE_MAX_LEN > &&_string8_value)
| This function moves the value in member string8_value.
eProsima_user_DllExport const eprosima::fastcdr::fixed_string< ANNOTATION_STR_VALUE_MAX_LEN > & | string8_value () const
| This function returns a constant reference to member string8_value.
eProsima_user_DllExport eprosima::fastcdr::fixed_string< ANNOTATION_STR_VALUE_MAX_LEN > & | string8_value ()
| This function returns a reference to member string8_value.
eProsima_user_DllExport void | string16_value (const std::wstring &_string16_value)
| This function copies the value in member string16_value.
eProsima_user_DllExport void | string16_value (std::wstring &&_string16_value)
| This function moves the value in member string16_value.
eProsima_user_DllExport const std::wstring & | string16_value () const
| This function returns a constant reference to member string16_value.
eProsima_user_DllExport std::wstring & | string16_value ()
| This function returns a reference to member string16_value.
eProsima_user_DllExport void | extended_value (const ExtendedAnnotationParameterValue &_extended_value)
| This function copies the value in member extended_value.
eProsima_user_DllExport void | extended_value (ExtendedAnnotationParameterValue &&_extended_value)
| This function moves the value in member extended_value.
eProsima_user_DllExport const ExtendedAnnotationParameterValue & | extended_value () const
| This function returns a constant reference to member extended_value.
eProsima_user_DllExport ExtendedAnnotationParameterValue & | extended_value ()
| This function returns a reference to member extended_value.

## Detailed Description

This class represents the union AnnotationParameterValue defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ AnnotationParameterValue() [1/3]

eProsima_user_DllExport AnnotationParameterValue | ( |  | ) |

inline

Default constructor.

## ◆ ~AnnotationParameterValue()

eProsima_user_DllExport ~AnnotationParameterValue | ( |  | ) |

inline

Default destructor.

## ◆ AnnotationParameterValue() [2/3]

eProsima_user_DllExport AnnotationParameterValue | ( | const AnnotationParameterValue & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object AnnotationParameterValue that will be copied.

## ◆ AnnotationParameterValue() [3/3]

eProsima_user_DllExport AnnotationParameterValue | ( | AnnotationParameterValue && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object AnnotationParameterValue that will be copied.

## Member Function Documentation

## ◆ _d() [1/2]

eProsima_user_DllExport uint8_t _d | ( |  | ) | const

inline

This function returns the value of the discriminator.

Returns
  Value of the discriminator

## ◆ _d() [2/2]

eProsima_user_DllExport void _d | ( | uint8_t | __d | ) |

inline

This function sets the discriminator value.

Parameters

  __d | New value for the discriminator.

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the new value doesn't correspond to the selected union member.

## ◆ boolean_value() [1/3]

eProsima_user_DllExport bool & boolean_value | ( |  | ) |

inline

This function returns a reference to member boolean_value.

Returns
  Reference to member boolean_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ boolean_value() [2/3]

eProsima_user_DllExport bool boolean_value | ( |  | ) | const

inline

This function returns the value of member boolean_value.

Returns
  Value of member boolean_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ boolean_value() [3/3]

eProsima_user_DllExport void boolean_value | ( | bool | _boolean_value | ) |

inline

This function sets a value in member boolean_value.

Parameters

  _boolean_value | New value for member boolean_value

## ◆ byte_value() [1/3]

eProsima_user_DllExport uint8_t & byte_value | ( |  | ) |

inline

This function returns a reference to member byte_value.

Returns
  Reference to member byte_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ byte_value() [2/3]

eProsima_user_DllExport uint8_t byte_value | ( |  | ) | const

inline

This function returns the value of member byte_value.

Returns
  Value of member byte_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ byte_value() [3/3]

eProsima_user_DllExport void byte_value | ( | uint8_t | _byte_value | ) |

inline

This function sets a value in member byte_value.

Parameters

  _byte_value | New value for member byte_value

## ◆ char_value() [1/3]

eProsima_user_DllExport char & char_value | ( |  | ) |

inline

This function returns a reference to member char_value.

Returns
  Reference to member char_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ char_value() [2/3]

eProsima_user_DllExport char char_value | ( |  | ) | const

inline

This function returns the value of member char_value.

Returns
  Value of member char_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ char_value() [3/3]

eProsima_user_DllExport void char_value | ( | char | _char_value | ) |

inline

This function sets a value in member char_value.

Parameters

  _char_value | New value for member char_value

## ◆ enumerated_value() [1/3]

eProsima_user_DllExport int32_t & enumerated_value | ( |  | ) |

inline

This function returns a reference to member enumerated_value.

Returns
  Reference to member enumerated_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ enumerated_value() [2/3]

eProsima_user_DllExport int32_t enumerated_value | ( |  | ) | const

inline

This function returns the value of member enumerated_value.

Returns
  Value of member enumerated_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ enumerated_value() [3/3]

eProsima_user_DllExport void enumerated_value | ( | int32_t | _enumerated_value | ) |

inline

This function sets a value in member enumerated_value.

Parameters

  _enumerated_value | New value for member enumerated_value

## ◆ extended_value() [1/4]

eProsima_user_DllExport ExtendedAnnotationParameterValue & extended_value | ( |  | ) |

inline

This function returns a reference to member extended_value.

Returns
  Reference to member extended_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ extended_value() [2/4]

eProsima_user_DllExport const ExtendedAnnotationParameterValue & extended_value | ( |  | ) | const

inline

This function returns a constant reference to member extended_value.

Returns
  Constant reference to member extended_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ extended_value() [3/4]

eProsima_user_DllExport void extended_value | ( | const ExtendedAnnotationParameterValue & | _extended_value | ) |

inline

This function copies the value in member extended_value.

Parameters

  _extended_value | New value to be copied in member extended_value

## ◆ extended_value() [4/4]

eProsima_user_DllExport void extended_value | ( | ExtendedAnnotationParameterValue && | _extended_value | ) |

inline

This function moves the value in member extended_value.

Parameters

  _extended_value | New value to be moved in member extended_value

## ◆ float128_value() [1/3]

eProsima_user_DllExport long double & float128_value | ( |  | ) |

inline

This function returns a reference to member float128_value.

Returns
  Reference to member float128_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ float128_value() [2/3]

eProsima_user_DllExport long double float128_value | ( |  | ) | const

inline

This function returns the value of member float128_value.

Returns
  Value of member float128_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ float128_value() [3/3]

eProsima_user_DllExport void float128_value | ( | long double | _float128_value | ) |

inline

This function sets a value in member float128_value.

Parameters

  _float128_value | New value for member float128_value

## ◆ float32_value() [1/3]

eProsima_user_DllExport float & float32_value | ( |  | ) |

inline

This function returns a reference to member float32_value.

Returns
  Reference to member float32_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ float32_value() [2/3]

eProsima_user_DllExport float float32_value | ( |  | ) | const

inline

This function returns the value of member float32_value.

Returns
  Value of member float32_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ float32_value() [3/3]

eProsima_user_DllExport void float32_value | ( | float | _float32_value | ) |

inline

This function sets a value in member float32_value.

Parameters

  _float32_value | New value for member float32_value

## ◆ float64_value() [1/3]

eProsima_user_DllExport double & float64_value | ( |  | ) |

inline

This function returns a reference to member float64_value.

Returns
  Reference to member float64_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ float64_value() [2/3]

eProsima_user_DllExport double float64_value | ( |  | ) | const

inline

This function returns the value of member float64_value.

Returns
  Value of member float64_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ float64_value() [3/3]

eProsima_user_DllExport void float64_value | ( | double | _float64_value | ) |

inline

This function sets a value in member float64_value.

Parameters

  _float64_value | New value for member float64_value

## ◆ int16_value() [1/3]

eProsima_user_DllExport int16_t & int16_value | ( |  | ) |

inline

This function returns a reference to member int16_value.

Returns
  Reference to member int16_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ int16_value() [2/3]

eProsima_user_DllExport int16_t int16_value | ( |  | ) | const

inline

This function returns the value of member int16_value.

Returns
  Value of member int16_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ int16_value() [3/3]

eProsima_user_DllExport void int16_value | ( | int16_t | _int16_value | ) |

inline

This function sets a value in member int16_value.

Parameters

  _int16_value | New value for member int16_value

## ◆ int32_value() [1/3]

eProsima_user_DllExport int32_t & int32_value | ( |  | ) |

inline

This function returns a reference to member int32_value.

Returns
  Reference to member int32_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ int32_value() [2/3]

eProsima_user_DllExport int32_t int32_value | ( |  | ) | const

inline

This function returns the value of member int32_value.

Returns
  Value of member int32_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ int32_value() [3/3]

eProsima_user_DllExport void int32_value | ( | int32_t | _int32_value | ) |

inline

This function sets a value in member int32_value.

Parameters

  _int32_value | New value for member int32_value

## ◆ int64_value() [1/3]

eProsima_user_DllExport int64_t & int64_value | ( |  | ) |

inline

This function returns a reference to member int64_value.

Returns
  Reference to member int64_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ int64_value() [2/3]

eProsima_user_DllExport int64_t int64_value | ( |  | ) | const

inline

This function returns the value of member int64_value.

Returns
  Value of member int64_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ int64_value() [3/3]

eProsima_user_DllExport void int64_value | ( | int64_t | _int64_value | ) |

inline

This function sets a value in member int64_value.

Parameters

  _int64_value | New value for member int64_value

## ◆ int8_value() [1/3]

eProsima_user_DllExport int8_t & int8_value | ( |  | ) |

inline

This function returns a reference to member int8_value.

Returns
  Reference to member int8_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ int8_value() [2/3]

eProsima_user_DllExport int8_t int8_value | ( |  | ) | const

inline

This function returns the value of member int8_value.

Returns
  Value of member int8_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ int8_value() [3/3]

eProsima_user_DllExport void int8_value | ( | int8_t | _int8_value | ) |

inline

This function sets a value in member int8_value.

Parameters

  _int8_value | New value for member int8_value

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const AnnotationParameterValue & | x | ) | const

inline

Comparison operator.

Parameters

  x | AnnotationParameterValue object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport AnnotationParameterValue & operator= | ( | AnnotationParameterValue && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object AnnotationParameterValue that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport AnnotationParameterValue & operator= | ( | const AnnotationParameterValue & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object AnnotationParameterValue that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const AnnotationParameterValue & | x | ) | const

inline

Comparison operator.

Parameters

  x | AnnotationParameterValue object to compare.

## ◆ string16_value() [1/4]

eProsima_user_DllExport std::wstring & string16_value | ( |  | ) |

inline

This function returns a reference to member string16_value.

Returns
  Reference to member string16_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ string16_value() [2/4]

eProsima_user_DllExport const std::wstring & string16_value | ( |  | ) | const

inline

This function returns a constant reference to member string16_value.

Returns
  Constant reference to member string16_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ string16_value() [3/4]

eProsima_user_DllExport void string16_value | ( | const std::wstring & | _string16_value | ) |

inline

This function copies the value in member string16_value.

Parameters

  _string16_value | New value to be copied in member string16_value

## ◆ string16_value() [4/4]

eProsima_user_DllExport void string16_value | ( | std::wstring && | _string16_value | ) |

inline

This function moves the value in member string16_value.

Parameters

  _string16_value | New value to be moved in member string16_value

## ◆ string8_value() [1/4]

eProsima_user_DllExport eprosima::fastcdr::fixed_string< ANNOTATION_STR_VALUE_MAX_LEN > & string8_value | ( |  | ) |

inline

This function returns a reference to member string8_value.

Returns
  Reference to member string8_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ string8_value() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::fixed_string< ANNOTATION_STR_VALUE_MAX_LEN > & string8_value | ( |  | ) | const

inline

This function returns a constant reference to member string8_value.

Returns
  Constant reference to member string8_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ string8_value() [3/4]

eProsima_user_DllExport void string8_value | ( | const eprosima::fastcdr::fixed_string< ANNOTATION_STR_VALUE_MAX_LEN > & | _string8_value | ) |

inline

This function copies the value in member string8_value.

Parameters

  _string8_value | New value to be copied in member string8_value

## ◆ string8_value() [4/4]

eProsima_user_DllExport void string8_value | ( | eprosima::fastcdr::fixed_string< ANNOTATION_STR_VALUE_MAX_LEN > && | _string8_value | ) |

inline

This function moves the value in member string8_value.

Parameters

  _string8_value | New value to be moved in member string8_value

## ◆ uint32_value() [1/3]

eProsima_user_DllExport uint32_t & uint32_value | ( |  | ) |

inline

This function returns a reference to member uint32_value.

Returns
  Reference to member uint32_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ uint32_value() [2/3]

eProsima_user_DllExport uint32_t uint32_value | ( |  | ) | const

inline

This function returns the value of member uint32_value.

Returns
  Value of member uint32_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ uint32_value() [3/3]

eProsima_user_DllExport void uint32_value | ( | uint32_t | _uint32_value | ) |

inline

This function sets a value in member uint32_value.

Parameters

  _uint32_value | New value for member uint32_value

## ◆ uint64_value() [1/3]

eProsima_user_DllExport uint64_t & uint64_value | ( |  | ) |

inline

This function returns a reference to member uint64_value.

Returns
  Reference to member uint64_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ uint64_value() [2/3]

eProsima_user_DllExport uint64_t uint64_value | ( |  | ) | const

inline

This function returns the value of member uint64_value.

Returns
  Value of member uint64_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ uint64_value() [3/3]

eProsima_user_DllExport void uint64_value | ( | uint64_t | _uint64_value | ) |

inline

This function sets a value in member uint64_value.

Parameters

  _uint64_value | New value for member uint64_value

## ◆ uint8_value() [1/3]

eProsima_user_DllExport uint8_t & uint8_value | ( |  | ) |

inline

This function returns a reference to member uint8_value.

Returns
  Reference to member uint8_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ uint8_value() [2/3]

eProsima_user_DllExport uint8_t uint8_value | ( |  | ) | const

inline

This function returns the value of member uint8_value.

Returns
  Value of member uint8_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ uint8_value() [3/3]

eProsima_user_DllExport void uint8_value | ( | uint8_t | _uint8_value | ) |

inline

This function sets a value in member uint8_value.

Parameters

  _uint8_value | New value for member uint8_value

## ◆ uint_16_value() [1/3]

eProsima_user_DllExport uint16_t & uint_16_value | ( |  | ) |

inline

This function returns a reference to member uint_16_value.

Returns
  Reference to member uint_16_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ uint_16_value() [2/3]

eProsima_user_DllExport uint16_t uint_16_value | ( |  | ) | const

inline

This function returns the value of member uint_16_value.

Returns
  Value of member uint_16_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ uint_16_value() [3/3]

eProsima_user_DllExport void uint_16_value | ( | uint16_t | _uint_16_value | ) |

inline

This function sets a value in member uint_16_value.

Parameters

  _uint_16_value | New value for member uint_16_value

## ◆ wchar_value() [1/3]

eProsima_user_DllExport wchar_t & wchar_value | ( |  | ) |

inline

This function returns a reference to member wchar_value.

Returns
  Reference to member wchar_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ wchar_value() [2/3]

eProsima_user_DllExport wchar_t wchar_value | ( |  | ) | const

inline

This function returns the value of member wchar_value.

Returns
  Value of member wchar_value

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ wchar_value() [3/3]

eProsima_user_DllExport void wchar_value | ( | wchar_t | _wchar_value | ) |

inline

This function sets a value in member wchar_value.

Parameters

  _wchar_value | New value for member wchar_value

## Member Data Documentation

## ◆ m_boolean_value

bool m_boolean_value

## ◆ m_byte_value

uint8_t m_byte_value

## ◆ m_char_value

char m_char_value

## ◆ m_enumerated_value

int32_t m_enumerated_value

## ◆ m_extended_value

ExtendedAnnotationParameterValue m_extended_value

## ◆ m_float128_value

long double m_float128_value

## ◆ m_float32_value

float m_float32_value

## ◆ m_float64_value

double m_float64_value

## ◆ m_int16_value

int16_t m_int16_value

## ◆ m_int32_value

int32_t m_int32_value

## ◆ m_int64_value

int64_t m_int64_value

## ◆ m_int8_value

int8_t m_int8_value

## ◆ m_string16_value

std::wstring m_string16_value

## ◆ m_string8_value

eprosima::fastcdr::fixed_string<ANNOTATION_STR_VALUE_MAX_LEN> m_string8_value

## ◆ m_uint32_value

uint32_t m_uint32_value

## ◆ m_uint64_value

uint64_t m_uint64_value

## ◆ m_uint8_value

uint8_t m_uint8_value

## ◆ m_uint_16_value

uint16_t m_uint_16_value

## ◆ m_wchar_value

wchar_t m_wchar_value

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp